diff --git a/samples/basic/blink_led/README.rst b/samples/basic/blink_led/README.rst
index e29d699c9fce1..c546192b035e0 100644
--- a/samples/basic/blink_led/README.rst
+++ b/samples/basic/blink_led/README.rst
@@ -20,32 +20,6 @@ beginning tries to determine what is available for the used PWM hardware,
 and accordingly decreases the maximum PWM period (thus increases the initial
 blinking frequency) if needed.
 
-
-Wiring
-******
-
-Nucleo_F401RE, Nucleo_L476RG, STM32F4_DISCOVERY, Nucleo_F302R8
-==============================================================
-Connect PWM2(PA0) to LED
-
-Nucleo_F103RB
-=============
-Connect PWM1(PA8) to LED
-
-Nucleo_L496ZG
-=============
-No special board setup is necessary because there are three on-board LEDs (red,
-green, blue) connected to the Nucleo's PWM.
-
-Hexiwear K64
-============
-No special board setup is necessary because there is an on-board RGB LED
-connected to the K64 PWM.
-
-nrf52840_pca10056
-=================
-No special board setup is necessary because there is an on-board LED connected.
-
 Building and Running
 ********************
 
@@ -58,5 +32,19 @@ for the nrf52840_pca10056 board:
    :goals: build flash
    :compact:
 
-After flashing the image to the board, the user LED on the board should start to
-blinking as discussed in overview
+Alternative configuration for board without on-board LED connected to PWM
+*************************************************************************
+
+If there is no on-board LED connected to a PWM configured PIN on your board,
+you can wire one manually and use a .overlay file to configure LED-PWM driver.
+An example of .overlay file is available in current folder and works with
+nucleo_f401re.
+
+You should build the sample with following command:
+
+.. zephyr-app-commands::
+   :zephyr-app: samples/basic/blink_led
+   :board: nucleo_f401re
+   :gen-args: -DDTC_OVERLAY_FILE="nucleo_f401re.overlay"
+   :goals: build flash
+   :compact:
diff --git a/samples/basic/blink_led/boards/nucleo_f401re.overlay b/samples/basic/blink_led/boards/nucleo_f401re.overlay
new file mode 100644
index 0000000000000..6298e5fd7cea5
--- /dev/null
+++ b/samples/basic/blink_led/boards/nucleo_f401re.overlay
@@ -0,0 +1,26 @@
+/*
+ * Copyright (c) 2019 Linaro Limited
+ *
+ * SPDX-License-Identifier: Apache-2.0
+ */
+
+/ {
+
+	pwmleds {
+		compatible = "pwm-leds";
+
+		fixture_pwm_led: fixture_pwm_led {
+			/* pwm device should match a PWM configured board pin */
+			/* Ex: On nucleo_401re: PA0: PWM_2 */
+			/*     PWM_2 is available on Timer instance 2 */
+			/*     at following base address: 0x40000000 */
+			pwms = <&{/soc/timers@40000000/pwm} 1 4>;
+		};
+	};
+
+
+	aliases {
+		pwm-led0 = &fixture_pwm_led;
+	};
+
+};
diff --git a/samples/basic/blink_led/sample.yaml b/samples/basic/blink_led/sample.yaml
index 0339b9a1ac7bb..ef1586ba306c8 100644
--- a/samples/basic/blink_led/sample.yaml
+++ b/samples/basic/blink_led/sample.yaml
@@ -7,3 +7,7 @@ tests:
     tags: drivers pwm
     depends_on: pwm
     harness: led
+  sample.basic.blink_led.nucleo_f401re:
+    platform_whitelist: nucleo_f401re
+    tags: drivers pwm
+    harness: led
diff --git a/samples/basic/blink_led/src/main.c b/samples/basic/blink_led/src/main.c
index 6486ba9ef3376..9747366daf1b8 100644
--- a/samples/basic/blink_led/src/main.c
+++ b/samples/basic/blink_led/src/main.c
@@ -25,7 +25,7 @@
 #define PWM_FLAGS	0
 #endif
 #else
-#error "Choose supported PWM driver"
+#error "No default PWM-LED on board. Checkout README for alternatives"
 #endif
 
 /* in microseconds */
diff --git a/samples/basic/fade_led/README.rst b/samples/basic/fade_led/README.rst
index 80bee78d3557b..fe272b0216e68 100644
--- a/samples/basic/fade_led/README.rst
+++ b/samples/basic/fade_led/README.rst
@@ -14,31 +14,6 @@ brightness reduces gradually for 10 seconds and
 finally the LED becomes dark again. The LED will
 repeat this cycle for ever.
 
-Wiring
-******
-
-Nucleo_F401RE, Nucleo_L476RG
-============================
-Connect PWM2(PA0) to LED
-
-Nucleo_F103RB
-=============
-Connect PWM1(PA8) to LED
-
-Nucleo_L496ZG
-=============
-No special board setup is necessary because there are three on-board LEDs (red,
-green, blue) connected to the Nucleo's PWM.
-
-Hexiwear K64
-============
-No special board setup is necessary because there is an on-board RGB LED
-connected to the K64 PWM.
-
-nrf52840_pca10056
-=================
-No special board setup is necessary because there is an on-board LED connected.
-
 Building and Running
 ********************
 
@@ -50,3 +25,20 @@ for the nrf52840_pca10056 board:
    :board: nrf52840_pca10056
    :goals: build flash
    :compact:
+
+Alternative configuration for board without on-board LED connected to PWM
+*************************************************************************
+
+If there is no on-board LED connected to a PWM configured PIN on your board,
+you can wire one manually and use a .overlay file to configure LED-PWM driver.
+An example of .overlay file is available in current folder and works with
+nucleo_f401re.
+
+You should build the sample with following command:
+
+.. zephyr-app-commands::
+   :zephyr-app: samples/basic/blink_led
+   :board: nucleo_f401re
+   :gen-args: -DDTC_OVERLAY_FILE="nucleo_f401re.overlay"
+   :goals: build flash
+   :compact:
diff --git a/samples/basic/fade_led/board/nucleo_f401re.overlay b/samples/basic/fade_led/board/nucleo_f401re.overlay
new file mode 100644
index 0000000000000..6298e5fd7cea5
--- /dev/null
+++ b/samples/basic/fade_led/board/nucleo_f401re.overlay
@@ -0,0 +1,26 @@
+/*
+ * Copyright (c) 2019 Linaro Limited
+ *
+ * SPDX-License-Identifier: Apache-2.0
+ */
+
+/ {
+
+	pwmleds {
+		compatible = "pwm-leds";
+
+		fixture_pwm_led: fixture_pwm_led {
+			/* pwm device should match a PWM configured board pin */
+			/* Ex: On nucleo_401re: PA0: PWM_2 */
+			/*     PWM_2 is available on Timer instance 2 */
+			/*     at following base address: 0x40000000 */
+			pwms = <&{/soc/timers@40000000/pwm} 1 4>;
+		};
+	};
+
+
+	aliases {
+		pwm-led0 = &fixture_pwm_led;
+	};
+
+};
diff --git a/samples/basic/fade_led/sample.yaml b/samples/basic/fade_led/sample.yaml
index 0b9de09afef1d..2c66de5ebcfac 100644
--- a/samples/basic/fade_led/sample.yaml
+++ b/samples/basic/fade_led/sample.yaml
@@ -6,3 +6,7 @@ tests:
     depends_on: pwm
     harness: led
     filter: dt_alias_exists("pwm-led0")
+  sample.basic.fade_led.nucleo_f401re:
+    platform_whitelist: nucleo_f401re
+    tags: drivers pwm
+    harness: led
diff --git a/samples/basic/fade_led/src/main.c b/samples/basic/fade_led/src/main.c
index 9f2a2bc9e5d62..fb7120831ee5c 100644
--- a/samples/basic/fade_led/src/main.c
+++ b/samples/basic/fade_led/src/main.c
@@ -25,7 +25,7 @@
 #define PWM_FLAGS	0
 #endif
 #else
-#error "Choose supported PWM driver"
+#error "No default PWM-LED on board. Checkout README for alternatives"
 #endif
 
 /*
